Bug 590739 - SELinux is preventing /usr/bin/iceauth "read" access on /home/OFFICE/oded.a/.DCOPserver_sepiroth.office.taboola.com__0 (deleted).
SELinux is preventing /usr/bin/iceauth "read" access on /home/OFFICE/ode...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:cc27e1edf90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 11:21 EDT by Oded Arbel
Modified: 2010-07-29 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 13:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2010-05-10 11:21:02 EDT
Summary:

SELinux is preventing /usr/bin/iceauth "read" access on
/home/OFFICE/oded.a/.DCOPserver_(removed)__0 (deleted).

Detailed Description:

[iceauth has a permissive type (iceauth_t). This access was not denied.]

SELinux denied access requested by iceauth. It is not expected that this access
is required by iceauth and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/OFFICE/oded.a/.DCOPserver_sepiroth.office.ta
                              boola.com__0 (deleted) [ file ]
Source                        iceauth
Source Path                   /usr/bin/iceauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-server-utils-7.4-16.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-13.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49
                              UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Mon 10 May 2010 06:17:27 PM IDT
Last Seen                     Mon 10 May 2010 06:18:09 PM IDT
Local ID                      3a4a913d-f8cf-4c2a-bba9-3de3ebc807d1
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273504689.22:112): avc:  denied  { read } for  pid=6383 comm="iceauth" path=2F686F6D652F4F46464943452F6F6465642E612F2E44434F507365727665725F73657069726F74682E6F66666963652E7461626F6F6C612E636F6D5F5F30202864656C6574656429 dev=sda7 ino=4721284 scontext=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273504689.22:112): arch=c000003e syscall=59 success=yes exit=0 a0=d7af70 a1=d7a270 a2=d79420 a3=20 items=0 ppid=6382 pid=6383 auid=16777216 uid=16777216 gid=16777216 euid=16777216 suid=16777216 fsuid=16777216 egid=16777216 sgid=16777216 fsgid=16777216 tty=(none) ses=1 comm="iceauth" exe="/usr/bin/iceauth" subj=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,iceauth,iceauth_t,user_home_t,file,read
audit2allow suggests:

#============= iceauth_t ==============
allow iceauth_t user_home_t:file read;
Comment 1 Daniel Walsh 2010-05-10 12:26:23 EDT
This looks like a leaked file descriptor to /home/OFFICE/oded.a/.DCOPserver_(removed)__0 (deleted).

The program you are running is execing iceauth which is causing this problem. You can safely ignore the AVC.

Note You need to log in before you can comment on or make changes to this bug.